package brookes.joelmarty.semantic.bookclub.webapp.model;

import java.util.UUID;

public abstract class AbstractModel {
	
	/**
	 * Application internal Id
	 */
	protected UUID id = UUID.randomUUID();
	
	public UUID getId() {
		return id;
	}
	
	public void setId(UUID id) {
		this.id = id;
	}

	public final String getUri() {
		if (this.id == null)
			return ModelManager.MODEL_URI;
		else
			return ModelManager.MODEL_URI + this.id.toString();
	}
	
	/**
	 * Equals method that checks object equality
	 * @param obj the object that tests equality. Must inherit AbstractModel
	 */
	@Override
	public boolean equals(Object obj) {
		AbstractModel mod = (AbstractModel) obj;
		if(mod.id.equals(this.id))
			return true;
		else
			return false;
	}
	
}
