package brookes.joelmarty.semantic.bookclub.webapp.service;

import java.io.InputStream;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Response;

import org.springframework.stereotype.Service;

import brookes.joelmarty.semantic.bookclub.webapp.model.ModelManager;

import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdf.model.ModelFactory;
import com.sun.jersey.multipart.FormDataParam;

@Service
@Path("upload")
public class UploadService extends AbstractModelService {
	
	@POST
	@Consumes("multipart/form-data")
	public Response uploadModel(@FormDataParam("file") InputStream file) {
		
		try {
			Model uploadedModel = ModelFactory.createDefaultModel();
			uploadedModel.read(file, ModelManager.MODEL_URI);
			model.add(uploadedModel);
		} catch (Exception e) {
			LOG.error("Error while uploading model to the store", e);
			throw new WebApplicationException(Response.serverError().entity(e.getLocalizedMessage()).build());
		}
		
		return Response.ok("ok").build();
	}
	
	@GET
	@Produces("text/html")
	public Response showUpload() {
		return Response.ok(fm.render("upload.ftl")).build();
	}
}
