<#import "layout.ftl" as layout>
<@layout.layout>

<div class="header">
<h3>${member.name}</h3>
</div>
<div class="content">
 
 <p>
 	<label for="email">email:</label>
 	<label name="email">${member.email}</label>
 	<br/>
 	
 	<#if member.acquaintances?size == 0>
	<p>This member knows no-one!</p>
	<#else>
		<label for="acquaintances">Acquaintances:</label>
		<table id="acquaintances" class="tablesorter"> 
		<thead> 
		<tr> 
		    <th>Name</th> 
		    <th>Email</th> 
		</tr> 
		</thead> 
		<tbody>
			<#list member.acquaintances as acq>
				<tr> 
				    <td><a href="/members/${acq.id}">${acq.name}</a></td> 
				    <td>${acq.email}</td>
				</tr>
			</#list>
		</tbody> 
		</table> 
	</#if>
	<br/>
	
	<#if member.books?size == 0>
	<p>This member has no books!</p>
	<#else>
		<label for="books">Books:</label>
		<table id="books" class="tablesorter"> 
		<thead> 
		<tr> 
		    <th>Title</th> 
		    <th>Author</th>
		    <th>Year</th> 
		</tr> 
		</thead> 
		<tbody>
			<#list member.books as book>
				<tr> 
				    <td><a href="/books/${book.id}">${book.title}</a></td> 
				    <td>${book.author}</td>
				    <td>${book.year}</td>
				</tr>
			</#list>
		</tbody> 
		</table> 
	</#if>
	<br/>

	<#if lendings?size == 0>
	<p>This member lends no books</p>
	<#else>
		<label for="lendings">Lendings:</label>
		<table id="lendings" class="tablesorter"> 
		<thead> 
		<tr> 
		    <th>Book</th> 
		    <th>Borrower</th>
		    <th>Date</th> 
		</tr> 
		</thead> 
		<tbody>
			<#list lendings as lend>
				<tr> 
				    <td><a href="/books/${lend.borrowedBook.id}">${lend.borrowedBook.title}</a></td> 
				    <td><a href="/members/${lend.lendTo.id}">${lend.lendTo.name}</a></td>
				    <td>${lend.borrowedOn?date}</td>
				</tr>
			</#list>
		</tbody> 
		</table> 
	</#if>
	<br/>
 </p>

</div>
</@layout.layout>